iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapVisualPOI Class Reference

视觉识别POI，在AMapPOI基础上扩展视觉识别接口特有的字段 More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapVisualPOI:

## Properties
NSString * | bizType
| 行业类型
NSString * | alias
| 别名
NSString * | tag
| 特色内容，主要出现在美食类POI中，代表特色菜
NSArray< AMapTopListItem * > * | topList
| 榜单列表
NSString * | featuredReviews
| 精选评论
Properties inherited from AMapPOI
NSString * | uid
| POI全局唯一ID.
NSString * | name
| 名称
NSString * | type
| 兴趣点类型
NSString * | typecode
| 类型编码
AMapGeoPoint * | location
| 经纬度
NSString * | address
| 地址
NSString * | tel
| 电话
CGFloat | distance
| 距中心点的距离，单位米。在周边搜索时有效
NSString * | parkingType
| 停车场类型，地上、地下、路边
NSString * | shopID
| 商铺id
NSString * | postcode
| 邮编
NSString * | website
| 网址
NSString * | email
| 电子邮件
NSString * | province
| 省
NSString * | pcode
| 省编码
NSString * | city
| 城市名称
NSString * | citycode
| 城市编码
NSString * | district
| 区域名称
NSString * | adcode
| 区域编码
NSString * | naviPOIId
| POI对应的导航引导点坐标
NSString * | gridcode
| 地理格ID
AMapGeoPoint * | enterLocation
| 入口经纬度
AMapGeoPoint * | exitLocation
| 出口经纬度
NSString * | direction
| 方向
BOOL | hasIndoorMap
| 是否有室内地图
NSString * | businessArea
| 所在商圈
AMapIndoorData * | indoorData
| 室内信息
NSArray< AMapSubPOI * > * | subPOIs
| 子POI列表
NSArray< AMapImage * > * | images
| 图片列表
AMapBusinessData * | businessData
| 所在商圈
AMapPOIExtension * | extensionInfo
| 扩展信息只有在ID查询时有效

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

视觉识别POI，在AMapPOI基础上扩展视觉识别接口特有的字段

Since
  9.7.0

## Property Documentation

## ◆ alias

- (NSString*) alias
| read write nonatomic copy

别名

## ◆ bizType

- (NSString*) bizType
| read write nonatomic copy

行业类型

## ◆ featuredReviews

- (NSString*) featuredReviews
| read write nonatomic copy

精选评论

## ◆ tag

- (NSString*) tag
| read write nonatomic copy

特色内容，主要出现在美食类POI中，代表特色菜

## ◆ topList

- (NSArray<AMapTopListItem *>*) topList
| read write nonatomic strong

榜单列表

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。